trinity-devel@lists.pearsoncomputing.net

Message: previous - next
Month: November 2011

Re: [trinity-devel] kdebindings 3.5.13: embedviewimp.h build errors

From: Darrell Anderson <humanreadable@...>
Date: Fri, 11 Nov 2011 16:11:18 -0800 (PST)
> > Slackware 13.1
> > 
> > Previously built kdebindings without this error. I
> don't know what is
> > different this time around.
> > 
> > Log:
> > 
> > http://humanreadable.nfshost.com/trinity/build_logs/kdebindings-3.5.13-i486-1-build.log.gz
> autotools forgot to use the tqt include path.
> > 
> > The log also says the following:
> > 
> > Detected TQt3...
> > ...
> > checking if TQt is available... no
> > configure: WARNING: You are attempting to compile
> Trinity without the
> > Trinity Qt Interface installed.  Please install
> libtqtinterface-dev
> > and try again!
> I already had the same configure messages when tried to
> build
> Trinity packages with autotools… IIRC it means that even
> if configure
> works the Makefile will forget the tqt include dir and
> every library
> need to link the executables. You could always find the
> "-l..." flags
> yourself but you will probably have to find the libraries
> associated to
> missing symbols with a big grep hammer in /usr/lib; also
> the produced
> executables and libraries will probably have unneeded
> library
> dependencies, and if you use -Wl,--as-needed to circumvent
> this it is
> likely to break libraries in some nasty ways.

I don't know whether this error message is related to the embedviewimp.h error. Somebody else will have to respond. All I know is I am, stuck right now building kdebindings. I don't know why this is now happening and previously did not.

> > tqtinterface is installed.
> > 
> > I don't know what this error messages keys on, but the
> phrase "Please
> > install libtqtinterface-dev and try again!" seems
> Debian specific.
> > 
> > Need help. :)

Darrell